Open Bug 1524746 Opened 1 year ago Updated 1 month ago

Intermittent toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | Can't get the audio element! - false == true -

Categories

(Core :: Audio/Video: Playback, defect, P5)

defect

Tracking

()

REOPENED

People

(Reporter: intermittent-bug-filer, Unassigned, NeedInfo)

Details

(Keywords: intermittent-failure, leave-open, Whiteboard: [stockwell disabled])

Attachments

(1 file)

#[markdown(off)]
Filed by: ncsoregi [at] mozilla.com

https://treeherder.mozilla.org/logviewer.html#?job_id=225447478&repo=try

https://queue.taskcluster.net/v1/task/MhC36F30TFKhctSQiNNlMA/runs/0/artifacts/public/logs/live_backing.log

[task 2019-02-01T13:10:25.053Z] 13:10:25 INFO - TEST-START | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js
[task 2019-02-01T13:10:25.099Z] 13:10:25 INFO - TEST-INFO | started process screentopng
[task 2019-02-01T13:10:25.641Z] 13:10:25 INFO - TEST-INFO | screentopng: exit 0
[task 2019-02-01T13:10:25.642Z] 13:10:25 INFO - Buffered messages logged at 13:10:25
[task 2019-02-01T13:10:25.643Z] 13:10:25 INFO - Entering test bound setup_test_preference
[task 2019-02-01T13:10:25.644Z] 13:10:25 INFO - Leaving test bound setup_test_preference
[task 2019-02-01T13:10:25.646Z] 13:10:25 INFO - Entering test bound unblock_icon_should_disapear_after_resume_tab
[task 2019-02-01T13:10:25.647Z] 13:10:25 INFO - - open new background tab -
[task 2019-02-01T13:10:25.648Z] 13:10:25 INFO - - the suspend state of tab should be suspend-block -
[task 2019-02-01T13:10:25.649Z] 13:10:25 INFO - Buffered messages finished
[task 2019-02-01T13:10:25.650Z] 13:10:25 INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | Can't get the audio element! - false == true -
[task 2019-02-01T13:10:25.650Z] 13:10:25 INFO - Stack trace:
[task 2019-02-01T13:10:25.650Z] 13:10:25 INFO - resource://testing-common/content-task.js line 59 > eval:check_audio_suspended:6
[task 2019-02-01T13:10:25.651Z] 13:10:25 INFO - resource://testing-common/content-task.js:null:60
[task 2019-02-01T13:10:25.653Z] 13:10:25 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-02-01T13:10:25.654Z] 13:10:25 INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | Uncaught exception - TypeError: autoPlay is null
[task 2019-02-01T13:10:25.655Z] 13:10:25 INFO - Leaving test bound unblock_icon_should_disapear_after_resume_tab
[task 2019-02-01T13:10:25.656Z] 13:10:25 INFO - Entering test bound should_not_show_sound_indicator_after_resume_tab
[task 2019-02-01T13:10:25.657Z] 13:10:25 INFO - - open new background tab -
[task 2019-02-01T13:10:25.657Z] 13:10:25 INFO - - the suspend state of tab should be suspend-block -
[task 2019-02-01T13:10:25.658Z] 13:10:25 INFO - TEST-PASS | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | The suspeded state of autoplay audio is correct. - 2 == 2 -
[task 2019-02-01T13:10:25.659Z] 13:10:25 INFO - - tab should display unblocking icon -
[task 2019-02-01T13:10:25.660Z] 13:10:25 INFO - TEST-PASS | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | The tab should be blocked -
[task 2019-02-01T13:10:25.660Z] 13:10:25 INFO - - click play tab icon -
[task 2019-02-01T13:10:26.020Z] 13:10:26 INFO - - the suspend state of tab should be none-suspend -
[task 2019-02-01T13:10:26.038Z] 13:10:26 INFO - TEST-PASS | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | The suspeded state of autoplay audio is correct. - 0 == 0 -
[task 2019-02-01T13:10:26.038Z] 13:10:26 INFO - - should not display unblocking icon -
[task 2019-02-01T13:10:26.038Z] 13:10:26 INFO - TEST-PASS | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | The tab should not be blocked -
[task 2019-02-01T13:10:26.038Z] 13:10:26 INFO - - should not display sound indicator icon -
[task 2019-02-01T13:10:26.038Z] 13:10:26 INFO - TEST-PASS | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | The tab should not be playing -
[task 2019-02-01T13:10:26.038Z] 13:10:26 INFO - - remove tab -
[task 2019-02-01T13:10:26.055Z] 13:10:26 INFO - Leaving test bound should_not_show_sound_indicator_after_resume_tab
[task 2019-02-01T13:10:26.069Z] 13:10:26 INFO - GECKO(9991) | MEMORY STAT | vsize 861MB | residentFast 269MB | heapAllocated 87MB
[task 2019-02-01T13:10:26.071Z] 13:10:26 INFO - TEST-OK | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | took 1016ms
[task 2019-02-01T13:10:26.073Z] 13:10:26 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-02-01T13:10:26.074Z] 13:10:26 INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | Found an unexpected tab at the end of test run: https://example.com/browser/toolkit/content/tests/browser/file_silentAudioTrack.html -
[task 2019-02-01T13:10:26.096Z] 13:10:26 INFO - checking window state
[task 2019-02-01T13:10:26.117Z] 13:10:26 INFO - TEST-START | toolkit/content/tests/browser/browser_block_webAudio.js
[task 2019-02-01T13:10:26.787Z] 13:10:26 INFO - GECKO(9991) | JavaScript error: , line 0: InvalidStateError: An attempt was made to use an object that is not, or is no longer, usable
[task 2019-02-01T13:10:26.808Z] 13:10:26 INFO - GECKO(9991) | MEMORY STAT | vsize 854MB | residentFast 270MB | heapAllocated 88MB
[task 2019-02-01T13:10:26.810Z] 13:10:26 INFO - TEST-OK | toolkit/content/tests/browser/browser_block_webAudio.js | took 689ms

Status: NEW → RESOLVED
Closed: 1 year ago
Resolution: --- → INCOMPLETE

New occurrence;

Status: RESOLVED → REOPENED
Resolution: INCOMPLETE → ---

New occurrencehttps://treeherder.mozilla.org/logviewer.html#/jobs?job_id=257579390&repo=autoland&lineNumber=14124

There are 24 total failures in the last 7 days on linux64-shippable opt, macosx1014-64 debug and macosx1014-64-shippable opt

Recent failure log: https://treeherder.mozilla.org/logviewer.html#/jobs?job_id=263994150&repo=mozilla-central&lineNumber=22577

[task 2019-08-29T05:12:09.123Z] 05:12:09 INFO - TEST-START | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js
[task 2019-08-29T05:12:09.149Z] 05:12:09 INFO - GECKO(1985) | ++DOCSHELL 0x1231d0800 == 5 [pid = 1989] [id = {99779469-dcce-694d-8972-d2512b7dc7c7}]
[task 2019-08-29T05:12:09.154Z] 05:12:09 INFO - GECKO(1985) | ++DOMWINDOW == 21 (0x1145cf880) [pid = 1989] [serial = 124] [outer = 0x0]
[task 2019-08-29T05:12:09.155Z] 05:12:09 INFO - GECKO(1985) | ++DOMWINDOW == 22 (0x124f0a000) [pid = 1989] [serial = 125] [outer = 0x1145cf880]
[task 2019-08-29T05:12:09.187Z] 05:12:09 INFO - GECKO(1985) | ++DOMWINDOW == 23 (0x127b83800) [pid = 1989] [serial = 126] [outer = 0x1145cf880]
[task 2019-08-29T05:12:09.187Z] 05:12:09 INFO - GECKO(1985) | [Child 1989, Main Thread] WARNING: NS_ENSURE_SUCCESS(mStatus, *this) failed with result 0x80004005: file /builds/worker/workspace/build/src/obj-firefox/dist/include/nsIURIMutator.h, line 489
[task 2019-08-29T05:12:09.246Z] 05:12:09 INFO - TEST-INFO | started process screencapture
[task 2019-08-29T05:12:09.379Z] 05:12:09 INFO - TEST-INFO | screencapture: exit 0
[task 2019-08-29T05:12:09.381Z] 05:12:09 INFO - Buffered messages logged at 05:12:09
[task 2019-08-29T05:12:09.381Z] 05:12:09 INFO - Entering test bound setup_test_preference
[task 2019-08-29T05:12:09.382Z] 05:12:09 INFO - Leaving test bound setup_test_preference
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - Entering test bound unblock_icon_should_disapear_after_resume_tab
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - - open new background tab -
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - - the suspend state of tab should be suspend-block -
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - Buffered messages finished
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | Can't get the audio element! - false == true -
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - Stack trace:
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - resource://testing-common/content-task.js line 62 > eval:check_audio_suspended:6
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - resource://testing-common/content-task.js:null:63
[task 2019-08-29T05:12:09.383Z] 05:12:09 INFO - Not taking screenshot here: see the one that was previously logged
[task 2019-08-29T05:12:09.389Z] 05:12:09 INFO - TEST-UNEXPECTED-FAIL | toolkit/content/tests/browser/browser_block_silentAudioTrack_media.js | Uncaught exception - TypeError: autoPlay is null

Nils please assign someone to take a look.

Flags: needinfo?(drno)
Whiteboard: [stockwell needswork:owner]

This is an ongoing failure since July 27, with 133 total failures.

Nils, can you assign someone?

Flags: needinfo?(drno)
Flags: needinfo?(drno)

Made the disable patch because the ni is ongoing here since 29th of august and it has 106 failures in the last 30 days. https://treeherder.mozilla.org/intermittent-failures.html#/bugdetails?startday=2019-08-25&endday=2019-09-24&tree=trunk&bug=1524746

Pushed by csabou@mozilla.com:
https://hg.mozilla.org/integration/autoland/rev/56a69b674908
Disable browser_block_silentAudioTrack_media.js cause of frequent failures. r=gbrown
Keywords: leave-open
Whiteboard: [stockwell needswork:owner] → [stockwell disabled]
You need to log in before you can comment on or make changes to this bug.